Bug 13515 - OpenSSL and OpenSSH source RPMS Fail to Compile on sparc64
OpenSSL and OpenSSH source RPMS Fail to Compile on sparc64
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: openssl (Show other bugs)
6.2
sparc64 Linux
high Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-06 03:06 EDT by Brian Camp
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-14 19:13:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian Camp 2000-07-06 03:06:52 EDT
I was forced to chose 'RedHat Linux' because the bugzilla didn't have a
better catagory.  I was then forced to chose 'telnet' as the Componet
because bugzilla wouldn't let me enter OpenSSL or OpenSSH. (Perhaps you
folks should make it a tad easier to report bugs?)

The source rpms being distributed at ftp://ftp.redhat.de/ for OpenSSL and
OpenSSH fail to compile on sparc64.  The following is from a fresh install
of 6.2 sparc.

Here is the OpenSSL error:

gcc -I. -I../include -O2 -m64 -mcpu=ultrasparc -DL_ENDIAN -DTERMIO -Wall
-Wuninitialized -DNO_ASM   -c -o cryptlib.o cryptlib.c
cc1: -m64 is not supported by this configuration
make[1]: *** [cryptlib.o] Error 1
make[1]: Leaving directory `/usr/src/redhat/BUILD/openssl-0.9.5a/crypto'
make: *** [all] Error 1
Bad exit status from /var/tmp/rpm-tmp.10431 (%build)


I managed to install OpenSSL from the sources fron their website then
attempted a compile of OpenSSH from the src.rpm with --nodeps and got the
following error:

creating cache ./config.cache
checking for gcc... gcc
checking whether the C compiler (gcc -O2 -m64 -mcpu=ultrasparc ) works...
no
configure: error: installation or configuration problem: C compiler cannot
create executables.
Bad exit status from /var/tmp/rpm-tmp.26752 (%build)


I assume that the OpenSSH rpm applies some patches because when I installed
OpenSSH portable from the sources on their ftp site, I could ssh out but
the sshd wouldn't do authentication.  My reason for giving this bug report
a priority of 'high' and a severity of 'security' is that secure logins are
essential on most any network, and that a server without a working sshd is
completely useless to me.
Comment 1 Nalin Dahyabhai 2000-07-06 17:29:07 EDT

*** This bug has been marked as a duplicate of 13502 ***
Comment 2 Jeff Johnson 2000-07-22 17:29:07 EDT
The -m64 is coming from rpm configuration, and the flags are appropriate for
gcc-2.96.
Edit  /usr/lib/rpm/sparc64-linux and edit
	%optflags               -O2 -m64 -mcpu=ultrasparc
as appropriate (try changing -m64 to -m32).
Comment 3 Alan Cox 2002-12-14 19:13:16 EST
The ssh packages were not in bugzilla at the time because it would have been
against USA law to practice things like free speech with foreigners 8)


Note You need to log in before you can comment on or make changes to this bug.